# Generated from effin_utf8-1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name effin_utf8

Name: rubygem-%{gem_name}
Version: 1.0
Release: 1%{?dist}
Summary: Enforces default internal and external encodings to be UTF-8 on Ruby 1.9
Group: Development/Languages
License: ASL 2.0
URL: https://github.com/michaelklishin/effin_utf8/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel 
BuildRequires: ruby 
BuildArch: noarch

%description
Enforces default internal and external encodings to be UTF-8 on Ruby 1.9. Has
no effect on 1.8.7.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/




# Run the test suite
%check
pushd .%{gem_instdir}

popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}

%changelog
* Fri Jan 30 2015 Graeme Gillies <ggillies@redhat.com> - 1.0-1
- Initial package
